Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
getnameinfo_arg Struct Reference

## Data Fields
const struct sockaddr * | sa
socklen_t | salen
int | flags
char * | host
size_t | hostlen
char * | serv
size_t | servlen

## Detailed Description

Definition at line 414 of file raddrinfo.c.

## Field Documentation

## ◆ flags

int getnameinfo_arg::flags

Definition at line 418 of file raddrinfo.c.

Referenced by rb_getnameinfo().

## ◆ host

char* getnameinfo_arg::host

Definition at line 419 of file raddrinfo.c.

Referenced by rb_getnameinfo().

## ◆ hostlen

size_t getnameinfo_arg::hostlen

Definition at line 420 of file raddrinfo.c.

Referenced by rb_getnameinfo().

## ◆ sa

const struct sockaddr* getnameinfo_arg::sa

Definition at line 416 of file raddrinfo.c.

Referenced by rb_getnameinfo().

## ◆ salen

socklen_t getnameinfo_arg::salen

Definition at line 417 of file raddrinfo.c.

Referenced by rb_getnameinfo().

## ◆ serv

char* getnameinfo_arg::serv

Definition at line 421 of file raddrinfo.c.

Referenced by rb_getnameinfo().

## ◆ servlen

size_t getnameinfo_arg::servlen

Definition at line 422 of file raddrinfo.c.

Referenced by rb_getnameinfo().

The documentation for this struct was generated from the following file:

- ext/socket/raddrinfo.c